org.keycloak.models.map.clientscope

## Class MapClientScopeEntity

- java.lang.Object
- - org.keycloak.models.map.clientscope.MapClientScopeEntity

- All Implemented Interfaces:
    AbstractEntity, UpdatableEntity

      public class MapClientScopeEntity
      extends Object
      implements AbstractEntity, UpdatableEntity

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `updated` Flag signalizing that any of the setters has been meaningfully used.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MapClientScopeEntity()`
    `` | `MapClientScopeEntity(String id, String realmId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProtocolMapperModel` | `addProtocolMapper(ProtocolMapperModel model)`
    `void` | `addScopeMapping(String id)`
    `void` | `deleteScopeMapping(String id)`
    `List<String>` | `getAttribute(String name)`
    `Map<String,List<String>>` | `getAttributes()`
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getProtocol()`
    `ProtocolMapperModel` | `getProtocolMapperById(String id)`
    `Stream<ProtocolMapperModel>` | `getProtocolMappers()`
    `String` | `getRealmId()`
    `Stream<String>` | `getScopeMappings()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `void` | `removeAttribute(String name)`
    `void` | `removeProtocolMapper(String id)`
    `void` | `setAttribute(String name, List<String> values)`
    `void` | `setDescription(String description)`
    `void` | `setName(String name)`
    `void` | `setProtocol(String protocol)`
    `void` | `setProtocolMappers(Collection<ProtocolMapperModel> protocolMappers)`
    `void` | `updateProtocolMapper(String id, ProtocolMapperModel mapping)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### updated

          protected boolean updated

      Flag signalizing that any of the setters has been meaningfully used.

  - ### Constructor Detail

    - #### MapClientScopeEntity

          protected MapClientScopeEntity()

    - #### MapClientScopeEntity

          public MapClientScopeEntity(String id,
                                      String realmId)

  - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `AbstractEntity`

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `UpdatableEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `UpdatableEntity`
      Returns:

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getProtocol

          public String getProtocol()

    - #### setProtocol

          public void setProtocol(String protocol)

    - #### getAttributes

          public Map<String,List<String>> getAttributes()

    - #### setAttribute

          public void setAttribute(String name,
                                   List<String> values)

    - #### addProtocolMapper

          public ProtocolMapperModel addProtocolMapper(ProtocolMapperModel model)

    - #### getProtocolMappers

          public Stream<ProtocolMapperModel> getProtocolMappers()

    - #### updateProtocolMapper

          public void updateProtocolMapper(String id,
                                           ProtocolMapperModel mapping)

    - #### removeProtocolMapper

          public void removeProtocolMapper(String id)

    - #### setProtocolMappers

          public void setProtocolMappers(Collection<ProtocolMapperModel> protocolMappers)

    - #### getProtocolMapperById

          public ProtocolMapperModel getProtocolMapperById(String id)

    - #### removeAttribute

          public void removeAttribute(String name)

    - #### getAttribute

          public List<String> getAttribute(String name)

    - #### getRealmId

          public String getRealmId()

    - #### getScopeMappings

          public Stream<String> getScopeMappings()

    - #### addScopeMapping

          public void addScopeMapping(String id)

    - #### deleteScopeMapping

          public void deleteScopeMapping(String id)

Copyright © 2021 JBoss by Red Hat. All rights reserved.